# Project Types

Project Types

 - [GET /projectTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/project-types/listprojecttypes.md): This method will scan all project types and and return them to the caller.
 - [POST /projectTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/project-types/createprojecttype.md): This method will auto-generate an ID and create a new project type. If an ID is specified for the project type, an error will be thrown.
 - [POST /projectTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/project-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /projectTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/project-types/deleteprojecttype.md): This method will delete a project type with the specified ID.
 - [GET /projectTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/project-types/getprojecttype.md): This method will look up a project type by the specified ID and return it back.
 - [PATCH /projectTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/project-types/patchprojecttype.md): This method will patch an existing project type with the specified ID, using the HTTP PATCH specification.
 - [PUT /projectTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/project-types/updateprojecttype.md): This method will update an existing project type with the specified ID.
